Subject: Re: [PATCH v10 00/15] Upstreaming the Scalar command

From: Junio C Hamano <[email-masked]>
Date: Sun, 05 Dec 2021 02:02:37 -0800

Elijah Newren <[email-masked]> writes:

> From your wording it sounds like the plan might not include moving
> these tests over.  Perhaps it doesn't make sense to move them all
> over, but since they've caught problems in both Scalar and core Git,
> it would be nice to see many of those tests come to Git as well as
> part of a future follow on series.

Yeah, we may be initially queuing this without tests for expediency,
but a production code cannot go forever without CI tests to ensure
continued code health.  People make changes in other parts of the
system Scalar may depend on and unknowingly break some assumption
Scalar makes on it.